;--========================================================================
;		In This Module I've Placed The EditBox proc,
;			  The SetFont(CHOOSEFONT) Proc
;			    And The LoadFile Proc
;--========================================================================


.data
    EditClass db "EDIT",0

	

  .code

EditCtrl proc szMsg:DWORD,a:DWORD,b:DWORD,
               wd:DWORD,ht:DWORD,hParent:DWORD,ID:DWORD

   invoke CreateWindowEx,0 ,ADDR EditClass,szMsg, WS_CHILD or\
		WS_VISIBLE or WS_CHILDWINDOW or ES_MULTILINE or ES_WANTRETURN or\
                WS_VSCROLL or WS_HSCROLL,
              a,b,wd,ht,hParent,ID,hInstance,NULL


  ret

EditCtrl endp



SetFont proc 
	     
		
		LOCAL chFont :CHOOSEFONT
		LOCAL lgFont :LOGFONT
		LOCAL hFont  :HFONT
		;--=======writing to structure========--
		mov chFont.lStructSize,sizeof CHOOSEFONT
		m2m chFont.hwndOwner,hOwner
		mov chFont.Flags,CF_BOTH
		mov chFont.lpLogFont,ptr$(lgFont)
		;--===================================--
		invoke ChooseFontW,ADDR chFont
		.if eax==1
		invoke CreateFontIndirectW,ADDR lgFont
		mov hFont,eax
		invoke SendMessage,hEdit,WM_SETFONT,hFont,TRUE
			
	
		;--=========Recording The Font=========--
		m2m lfHeight,lgFont.lfHeight
		m2m lfWidth,lgFont.lfWidth
		m2m lfEscapement,lgFont.lfEscapement
		m2m lfOrientation,lgFont.lfOrientation
		m2m lfWeight,lgFont.lfWeight
		mov al,lgFont.lfItalic 
		mov lfItalic,al
		mov al,lgFont.lfUnderline		
		mov lfUnderline,al
		mov al,lgFont.lfStrikeOut
		mov lfStrikeOut,al
		mov al,lgFont.lfCharSet
		mov lfCharSet,al
		mov al,lgFont.lfOutPrecision
		mov lfOutPrecision,al
		mov al,lgFont.lfClipPrecision
		mov lfClipPrecision,al
		mov al,lgFont.lfQuality
		mov lfQuality,al
		mov al,lgFont.lfPitchAndFamily
		mov lfPitchAndFamily,al
		xor ecx,ecx
		loop1:
		mov al,Byte ptr[[lgFont.lfFaceName]+ecx]
		mov byte ptr[[lfFaceName]+ecx],al
		inc ecx
		cmp ecx,LF_FACESIZE
		jne loop1
		exit1:		
		mov ChangedFont,TRUE
	;--==================================--
	;	Well,Now The Choosen Font
	;	Is Recorded in Data's 
	;	And Ready To Be Registered
	;	On App Exit!
	;--===================================--
.endif
ret	
SetFont endp

LoadFile proc stdcall  hEditBOX:DWORD,
	      	       pszFileName:DWORD

	LOCAL hFile 	:DWORD
	LOCAL dwFileSize :DWORD
	LOCAL pszFileText:DWORD
	LOCAL dwRead	:DWORD
	 
        invoke CreateFile,pszFileName,GENERIC_READ,\
		 FILE_SHARE_READ,\
		 NULL,OPEN_EXISTING,FILE_ATTRIBUTE_NORMAL or FILE_ATTRIBUTE_READONLY,NULL
	mov hFile,eax
	.if eax != INVALID_HANDLE_VALUE
		invoke GetFileSize,hFile,NULL
		mov dwFileSize,eax
		.if eax != NULL
			invoke SysAllocStringByteLen,0,dwFileSize
			mov pszFileText,eax
			invoke ReadFile,hFile,pszFileText,dwFileSize,ADDR dwRead,NULL
			invoke SetWindowText,hEditBOX,pszFileText
			invoke SysFreeString,pszFileText
			invoke CloseHandle,hFile
		.endif
	invoke CloseHandle,hFile
	.endif
ret
LoadFile endp




















