
;--===================================================================

;Here are the Procedures for Loading and Registering the Selected Font

;--===================================================================

ReadFontName PROTO :DWORD,:DWORD
.data
t1 db"lfFaceName",0

.code

;--=================FONT==========================================--

RegFontDw MACRO valuename,data
.code
invoke SaveDword,ADDR RegPathFont,
	valuename,ADDR data,sizeof data 

ENDM

RegFontB Macro valuename,data
.code
invoke SaveBinary,ADDR RegPathFont,
	valuename,ADDR data,sizeof data 

ENDM

LoadFontDw MACRO valuename
.code
invoke GetDword,ADDR RegPathFont,valuename
ENDM


RegisterFont proc
	
	RegFontDw CTXT("lfHeight"),lfHeight
	RegFontDw CTXT("lfWidth"),lfWidth
	RegFontDw CTXT("lfEscapement"),lfEscapement
	RegFontDw CTXT("lfOrientation"),lfOrientation
	RegFontDw CTXT("lfWeight"),lfWeight 
	RegFontB  CTXT("lfItalic"),lfItalic
	RegFontB  CTXT("lfUnderline"),lfUnderline	
	RegFontB  CTXT("lfStrikeOut"),lfStrikeOut
	RegFontB  CTXT("lfCharSet"),lfCharSet
	RegFontB  CTXT("lfOutPrecision"),lfOutPrecision
	RegFontB  CTXT("lfClipPrecision"),lfClipPrecision
	RegFontB  CTXT("lfQuality"),lfQuality
	RegFontB  CTXT("lfPitchAndFamily"),lfPitchAndFamily
	RegFontB  CTXT("lfFaceName"),lfFaceName
	
ret
RegisterFont Endp

LoadFont Proc
	 LOCAL LoadedFont :LOGFONT
	 LOCAL hFont  :HFONT 
	LoadFontDw CTXT("lfHeight")
	m2m LoadedFont.lfHeight,eax
	LoadFontDw CTXT("lfWidth")
	m2m LoadedFont.lfWidth,eax
	LoadFontDw CTXT("lfEscapement")
	m2m LoadedFont.lfEscapement,eax
	LoadFontDw CTXT("lfOrientation")
	m2m LoadedFont.lfOrientation,eax
	LoadFontDw CTXT("lfWeight")
	m2m LoadedFont.lfWeight,eax
	xor eax,eax
	LoadFontDw CTXT ("lfItalic")
	mov LoadedFont.lfItalic,al
	LoadFontDw CTXT("lfUnderline")
	mov LoadedFont.lfUnderline,al
	LoadFontDw CTXT("lfStrikeOut")
	mov LoadedFont.lfStrikeOut,al
	LoadFontDw CTXT("lfCharSet")
	mov LoadedFont.lfCharSet,al
	LoadFontDw CTXT("lfOutPrecision")
	mov LoadedFont.lfOutPrecision,al
	LoadFontDw CTXT("lfClipPrecision")
	mov LoadedFont.lfClipPrecision,al
	LoadFontDw CTXT("lfQuality")
	mov LoadedFont.lfQuality,al
	LoadFontDw CTXT("lfPitchAndFamily")
	mov LoadedFont.lfPitchAndFamily,al	
	invoke ReadFontName,ADDR RegPathFont,CTXT("lfFaceName")
		xor ecx,ecx
		loop1:
		mov al,RegBuffer1[ecx]
		mov LoadedFont.lfFaceName[ecx],al
		inc ecx
		cmp ecx,LF_FACESIZE
		jne loop1
		exit1:	

	push eax
	push esi
	invoke CreateFontIndirectW,ADDR LoadedFont
		mov hFont,eax
		invoke SendMessage,hEdit,WM_SETFONT,hFont,TRUE
	

ret
LoadFont Endp

;--===============READING THE FONT NAME AND SAVE TO REGBUFFER1==============

ReadFontName Proc bKey:DWORD,bValueName:DWORD
		LOCAL phkResult:DWORD		
		LOCAL lpData[LF_FACESIZE]:BYTE
		LOCAL lpSize:DWORD
		LOCAL RType:DWORD
	mov eax,REG_BINARY
	mov RType,eax
	invoke RegOpenKeyEx,HKEY_LOCAL_MACHINE,bKey,NULL,
			KEY_READ,ADDR phkResult
	.if eax==ERROR_SUCCESS
	invoke RegQueryValueEx,phkResult,bValueName,NULL,
			ADDR RType,ADDR RegBuffer1,ADDR lpSize
	invoke RegCloseKey,phkResult
	.endif
ret

ReadFontName endp








;--============================================================================--
